@use 'mixins' as mixins;
@use 'variables' as variables;

@mixin spacing-top($value) {
    margin-top: $value;
}


@mixin cards {
    @include mixins.dashboard-item($flex: 1 1 10%,
        $padding: 15px,
        $margin-top: null);
}

@mixin world-map {
    @include mixins.dashboard-item($flex: 1 1 65%, $padding: 50px, $margin-top: -2rem);
}

.card {
    @include mixins.card;
    text-align: center;
}

.spacing {

    @include spacing-top(variables.$margin-top-dashboard);

}

.spacing-textual {

    @include spacing-top(variables.$margin-top-textual);
}

.cards {
    @include cards;
}

.world-map {
    @include world-map;
}

.dashboard-content {
    padding-top: variables.$dashboard-top-padding;
    display: grid;
}


.flex-parent {
    @include mixins.flex-parent($margin: 0 -15px);
}

.flex-parent-select {
    @include mixins.flex-parent($margin: 0);
}

.flex-item-select {
    flex: 0 0;
    padding: 15px;
    box-sizing: border-box;
}

.container {
    max-width: 100%;
    margin: 0 auto;
    padding: 0 15px;
}

